Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.html.dom
Class HTMLScriptElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLScriptElementImpl

public class HTMLScriptElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLScriptElement

See Also:
  `HTMLScriptElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Constructor Summary
`HTMLScriptElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getCharset()`
`boolean` | `getDefer()`
`java.lang.String` | `getEvent()`
`java.lang.String` | `getHtmlFor()`
`java.lang.String` | `getSrc()`
`java.lang.String` | `getText()`
`java.lang.String` | `getType()`
`void` | `setCharset(java.lang.String charset)`
`void` | `setDefer(boolean defer)`
`void` | `setEvent(java.lang.String event)`
`void` | `setHtmlFor(java.lang.String htmlFor)`
`void` | `setSrc(java.lang.String src)`
`void` | `setText(java.lang.String text)`
`void` | `setType(java.lang.String type)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLScriptElementImpl

    public HTMLScriptElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getText

    public java.lang.String getText()

  Specified by:
    getText in interface org.w3c.dom.html.HTMLScriptElement

### setText

    public void setText(java.lang.String text)

  Specified by:
    setText in interface org.w3c.dom.html.HTMLScriptElement

### getHtmlFor

    public java.lang.String getHtmlFor()

  Specified by:
    getHtmlFor in interface org.w3c.dom.html.HTMLScriptElement

### setHtmlFor

    public void setHtmlFor(java.lang.String htmlFor)

  Specified by:
    setHtmlFor in interface org.w3c.dom.html.HTMLScriptElement

### getEvent

    public java.lang.String getEvent()

  Specified by:
    getEvent in interface org.w3c.dom.html.HTMLScriptElement

### setEvent

    public void setEvent(java.lang.String event)

  Specified by:
    setEvent in interface org.w3c.dom.html.HTMLScriptElement

### getCharset

    public java.lang.String getCharset()

  Specified by:
    getCharset in interface org.w3c.dom.html.HTMLScriptElement

### setCharset

    public void setCharset(java.lang.String charset)

  Specified by:
    setCharset in interface org.w3c.dom.html.HTMLScriptElement

### getDefer

    public boolean getDefer()

  Specified by:
    getDefer in interface org.w3c.dom.html.HTMLScriptElement

### setDefer

    public void setDefer(boolean defer)

  Specified by:
    setDefer in interface org.w3c.dom.html.HTMLScriptElement

### getSrc

    public java.lang.String getSrc()

  Specified by:
    getSrc in interface org.w3c.dom.html.HTMLScriptElement

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    setSrc in interface org.w3c.dom.html.HTMLScriptElement

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface org.w3c.dom.html.HTMLScriptElement

### setType

    public void setType(java.lang.String type)

  Specified by:
    setType in interface org.w3c.dom.html.HTMLScriptElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD